## Get Task Statistics

### cURL

```
curl --request GET \
  --url 'https://api.audioshake.ai/tasks/statistics?name=usage' \
  --header 'x-api-key: <api-key>'
```

### Python

```
import requests

url = "https://api.audioshake.ai/tasks/statistics?name=usage"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.audioshake.ai/tasks/statistics?name=usage', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Structure

```json
[
  {
    "month": "<string>",
    "totalTargets": 123,
    "totalMinutes": "<string>"
  }
]
```

### Retrieve aggregate statistics for your account’s Task usage.
Pass `name=usage` for a monthly breakdown or `name=distribution` for per-model usage.

#### Authorizations

**x-api-key**  
string  
header  
required

#### Query Parameters

**name**  
enum<string>  
default:usage  
required  
Type of statistics to retrieve

Available options:

`usage`,  
`distribution`

#### Response

**200 - application/json**

Default Response

- Usage · object[]
- Distribution · object[]

**month**  
string  
Month in YYYY-MM format

**totalTargets**  
number  
Total number of targets processed

**totalMinutes**  
string  
Total minutes of audio processed
